Bug 484902 - midori crash on f11 alpha
midori crash on f11 alpha
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 11:07 EST by Kent Baxley
Modified: 2010-06-28 07:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kent Baxley 2009-02-10 11:07:59 EST
Description of problem:
Midori crashes on the F11 alpha for i386


Version-Release number of selected component (if applicable):
$ rpm -q midori
midori-0.1.2-1.fc11.i386


How reproducible:
always.  repeatable on two different machines

Steps to Reproduce:
1. Fire up midori
2. In this case I went to bugzilla.redhat.com and tried to file a bug for another issue.  When I got to the page to select the component, I started pressing the down arrow key repeatedly to search for the component I wanted to file the bug for.

  
Actual results:
Midori crashes after several down arrow keystrokes.

Expected results:
Midori shouldn't crash.

Additional info:
I'll post the output from a gdb run of midori when the crash occurred
Comment 1 Kent Baxley 2009-02-10 11:11:14 EST
$ gdb midori
GNU gdb (GDB) Fedora (6.8.50.20081214-1.fc11)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) set logging file midori.txt
(gdb) run
Starting program: /usr/bin/midori 
[Thread debugging using libthread_db enabled]

** (midori:10438): WARNING **: /usr/lib/midori/libpage-holder.so: cannot restore segment prot after reloc: Permission denied

** (midori:10438): WARNING **: /usr/lib/midori/libstatusbar-features.so: cannot restore segment prot after reloc: Permission denied

** (midori:10438): WARNING **: /usr/lib/midori/libtab-panel.so: cannot restore segment prot after reloc: Permission denied
[New Thread 0xb6c81b70 (LWP 10449)]
[Thread 0xb6c81b70 (LWP 10449) exited]
*** glibc detected *** /usr/bin/midori: double free or corruption (out): 0x0a2bcdc8 ***
======= Backtrace: =========
/lib/libc.so.6[0x8c6245]
/lib/libc.so.6(cfree+0x96)[0x8c8296]
/lib/libnspr4.so(PR_Free+0x27)[0x59a7b37]
/lib/libnssutil3.so(PORT_ZFree_Util+0x3d)[0x5b2f2bd]
/lib/libssl3.so[0x5b540b0]
/lib/libssl3.so[0x5b59b93]
/lib/libssl3.so[0x5b5bef3]
/lib/libssl3.so[0x5b51fd4]
/lib/libssl3.so[0x5b55e60]
/lib/libssl3.so[0x5b5a867]
/lib/libnspr4.so(PR_Close+0x11)[0x59a0201]
/usr/lib/libcurl.so.4(Curl_nss_close+0x39)[0x7ef709]
/usr/lib/libcurl.so.4(Curl_ssl_close+0x24)[0x7e7ae4]
/usr/lib/libcurl.so.4(Curl_disconnect+0xf6)[0x7cf506]
/usr/lib/libcurl.so.4(Curl_done+0x238)[0x7cf7b8]
/usr/lib/libcurl.so.4[0x7e14ef]
/usr/lib/libcurl.so.4(curl_multi_perform+0x59)[0x7e2099]
/usr/lib/libwebkit-1.0.so.1[0x25547c2]
/usr/lib/libwebkit-1.0.so.1[0x2554d61]
/usr/lib/libwebkit-1.0.so.1[0x2438722]
/usr/lib/libwebkit-1.0.so.1[0x24387f7]
/usr/lib/libwebkit-1.0.so.1[0x26d5a0e]
/lib/libglib-2.0.so.0[0xa898c1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0xa8b7f8]
/lib/libglib-2.0.so.0[0xa8eea3]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0xa8f3c2]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x7149a59]
/usr/bin/midori(main+0xf50)[0x8067a42]
/lib/libc.so.6(__libc_start_main+0xe5)[0x86c735]
/usr/bin/midori[0x8059051]
======= Memory map: ========
00101000-00110000 r-xp 00000000 fd:00 102535     /usr/lib/libXext.so.6.4.0
00110000-00111000 rw-p 0000f000 fd:00 102535     /usr/lib/libXext.so.6.4.0
00111000-00112000 r-xp 00000000 fd:00 77429      /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00112000-00113000 rw-p 00001000 fd:00 77429      /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00113000-00142000 r-xp 00000000 fd:00 47775      /usr/lib/libfontconfig.so.1.3.0
00142000-00143000 rw-p 0002f000 fd:00 47775      /usr/lib/libfontconfig.so.1.3.0
00143000-00145000 rwxp 00143000 00:00 0 
00145000-0016b000 r-xp 00000000 fd:00 47780      /usr/lib/libpng12.so.0.34.0
0016b000-0016c000 rw-p 00025000 fd:00 47780      /usr/lib/libpng12.so.0.34.0
0016e000-00189000 r-xp 00000000 fd:00 664        /usr/lib/libxcb.so.1.1.0
00189000-0018a000 rw-p 0001b000 fd:00 664        /usr/lib/libxcb.so.1.1.0
0018c000-00195000 r-xp 00000000 fd:00 102537     /usr/lib/libXi.so.6.0.0
00195000-00196000 rw-p 00008000 fd:00 102537     /usr/lib/libXi.so.6.0.0
00198000-001a0000 r-xp 00000000 fd:00 102532     /usr/lib/libXrender.so.1.3.0
001a0000-001a1000 rw-p 00007000 fd:00 102532     /usr/lib/libXrender.so.1.3.0
001a3000-001a5000 r-xp 00000000 fd:00 102536     /usr/lib/libXinerama.so.1.0.0
001a5000-001a6000 rw-p 00001000 fd:00 102536     /usr/lib/libXinerama.so.1.0.0
001a8000-001af000 r-xp 00000000 fd:00 102538     /usr/lib/libXrandr.so.2.2.0
001af000-001b0000 rw-p 00006000 fd:00 102538     /usr/lib/libXrandr.so.2.2.0
001b2000-001b4000 r-xp 00000000 fd:00 102541     /usr/lib/libXcomposite.so.1.0.0
001b4000-001b5000 rw-p 00001000 fd:00 102541     /usr/lib/libXcomposite.so.1.0.0
001b7000-001b9000 r-xp 00000000 fd:00 102542     /usr/lib/libXdamage.so.1.1.0
001b9000-001ba000 rw-p 00001000 fd:00 102542     /usr/lib/libXdamage.so.1.1.0
001bc000-001c0000 r-xp 00000000 fd:00 102539     /usr/lib/libXfixes.so.3.1.0
001c0000-001c1000 rw-p 00003000 fd:00 102539     /usr/lib/libXfixes.so.3.1.0
001c3000-001df000 r-xp 00000000 fd:00 102543     /usr/lib/libgdk_pixbuf-2.0.so.0.1503.0
001df000-001e0000 rw-p 0001c000 fd:00 102543     /usr/lib/libgdk_pixbuf-2.0.so.0.1503.0
001e2000-00226000 r-xp 00000000 fd:00 14507      /usr/lib/libpixman-1.so.0.14.0
00226000-00228000 rw-p 00044000 fd:00 14507      /usr/lib/libpixman-1.so.0.14.0
0022a000-00233000 r-xp 00000000 fd:00 102540     /usr/lib/libXcursor.so.1.0.2
00233000-00234000 rw-p 00008000 fd:00 102540     /usr/lib/libXcursor.so.1.0.2
00236000-00240000 r-xp 00000000 fd:00 102534     /usr/lib/libpangocairo-1.0.so.0.2300.0
00240000-00241000 rw-p 0000a000 fd:00 102534     /usr/lib/libpangocairo-1.0.so.0.2300.0
00241000-00244000 r-xp 00000000 fd:00 69914      /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
00244000-00245000 rw-p 00002000 fd:00 69914      /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
00245000-0024a000 r-xp 00000000 fd:00 10395      /lib/libnss_dns-2.9.90.so
0024a000-0024b000 r--p 00004000 fd:00 10395      /lib/libnss_dns-2.9.90.so
0024b000-0024c000 rw-p 00005000 fd:00 10395      /lib/libnss_dns-2.9.90.so
0024c000-00250000 rwxp 0024c000 00:00 0 
00251000-00255000 r-xp 00000000 fd:00 13264      /lib/libcap.so.2.10
00255000-00256000 rw-p 00003000 fd:00 13264      /lib/libcap.so.2.10
00256000-0025a000 rwxp 00256000 00:00 0 
0025d000-00287000 r-xp 00000000 fd:00 47841      /usr/lib/libpangoft2-1.0.so.0.2300.0
00287000-00288000 rw-p 0002a000 fd:00 47841      /usr/lib/libpangoft2-1.0.so.0.2300.0
0028a000-002ce000 r-xp 00000000 fd:00 47818      /usr/lib/libpango-1.0.so.0.2300.0
002ce000-002d0000 rw-p 00044000 fd:00 47818      /usr/lib/libpango-1.0.so.0.2300.0
002d2000-003cf000 r-xp 00000000 fd:00 102530     /usr/lib/libX11.so.6.2.0
003cf000-003d3000 rw-p 000fc000 fd:00 102530     /usr/lib/libX11.so.6.2.0
003d5000-00474000 r-xp 00000000 fd:00 102544     /usr/lib/libgdk-x11-2.0.so.0.1503.0
00474000-00477000 rw-p 0009e000 fd:00 102544     /usr/lib/libgdk-x11-2.0.so.0.1503.0
00479000-004f2000 r-xp 00000000 fd:00 102533     /usr/lib/libcairo.so.2.10800.6
004f2000-004f4000 rw-p 00079000 fd:00 102533     /usr/lib/libcairo.so.2.10800.6
004f4000-005d7000 r-xp 00000000 fd:00 1211       /usr/lib/libstdc++.so.6.0.11
005d7000-005d8000 ---p 000e3000 fd:00 1211       /usr/lib/libstdc++.so.6.0.11
005d8000-005dc000 r--p 000e3000 fd:00 1211       /usr/lib/libstdc++.so.6.0.11
005dc000-005de000 rw-p 000e7000 fd:00 1211       /usr/lib/libstdc++.so.6.0.11
005de000-005e4000 rw-p 005de000 00:00 0 
005e4000-0060f000 r-xp 00000000 fd:00 980        /lib/libgcc_s-4.4.0-20090206.so.1
0060f000-00610000 rw-p 0002a000 fd:00 980        /lib/libgcc_s-4.4.0-20090206.so.1
00610000-00618000 rwxp 00610000 00:00 0 
0061a000-00625000 r-xp 00000000 fd:00 1074       /usr/lib/libunique-1.0.so.0.2.2
00625000-00626000 rw-p 0000a000 fd:00 1074       /usr/lib/libunique-1.0.so.0.2.2
00626000-00638000 r-xp 00000000 fd:00 70304      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00638000-00639000 rw-p 00011000 fd:00 70304      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00639000-00654000 r-xp 00000000 fd:00 154131     /usr/lib/gio/modules/libgvfsdbus.so
00654000-00655000 rw-p 0001a000 fd:00 154131     /usr/lib/gio/modules/libgvfsdbus.so
00655000-00665000 r-xp 00000000 fd:00 53429      /usr/lib/libgvfscommon.so.0.0.0
00665000-00666000 rw-p 0000f000 fd:00 53429      /usr/lib/libgvfscommon.so.0.0.0
00666000-0069d000 r-xp 00000000 fd:00 70705      /usr/lib/libcroco-0.6.so.3.0.1
0069d000-006a0000 rw-p 00036000 fd:00 70705      /usr/lib/libcroco-0.6.so.3.0.1
006a0000-006ad000 r-xp 00000000 fd:00 108834     /usr/lib/libckyapplet.so.1.0.0
006ad000-006ae000 rw-p 0000c000 fd:00 108834     /usr/lib/libckyapplet.so.1.0.0
006ae000-006b8000 r-xp 00000000 fd:00 14071      /usr/lib/libpcsclite.so.1.0.0
006b8000-006b9000 rw-p 00009000 fd:00 14071      /usr/lib/libpcsclite.so.1.0.0
006ba000-006bb000 r-xp 006ba000 00:00 0          [vdso]
006bb000-006f3000 r-xp 00000000 fd:00 172625     /lib/libsoftokn3.so
006f3000-006f4000 rw-p 00037000 fd:00 172625     /lib/libsoftokn3.so
006f4000-00733000 r-xp 00000000 fd:00 11246      /lib/libfreebl3.so
00733000-00734000 rw-p 0003e000 fd:00 11246      /lib/libfreebl3.so
00734000-00754000 r-xp 00000000 fd:00 108836     /usr/lib/pkcs11/libcoolkeypk11.so
00754000-00755000 rw-p 00020000 fd:00 108836     /usr/lib/pkcs11/libcoolkeypk11.so
00756000-0076e000 r-xp 00000000 fd:00 51502      /usr/lib/libsasl2.so.2.0.22
0076e000-0076f000 rw-p 00017000 fd:00 51502      /usr/lib/libsasl2.so.2.0.22
00771000-007b1000 r-xp 00000000 fd:00 1377       /usr/lib/libldap-2.4.so.2.2.0
007b1000-007b3000 rw-p 0003f000 fd:00 1377       /usr/lib/libldap-2.4.so.2.2.0
007b5000-007fc000 r-xp 00000000 fd:00 50989      /usr/lib/libcurl.so.4.1.0
007fc000-007fe000 rw-p 00046000 fd:00 50989      /usr/lib/libcurl.so.4.1.0
007fe000-00802000 rwxp 007fe000 00:00 0 
00802000-0081d000 r-xp 00000000 fd:00 51443      /usr/lib/libatk-1.0.so.0.2511.1
0081d000-0081f000 rw-p 0001a000 fd:00 51443      /usr/lib/libatk-1.0.so.0.2511.1
0081f000-00823000 rwxp 0081f000 00:00 0 
00826000-00829000 r-xp 00000000 fd:00 53404      /lib/libuuid.so.1.2
00829000-0082a000 rw-p 00003000 fd:00 53404      /lib/
Program received signal SIGABRT, Aborted.
0x00881746 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00881746 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x008831b8 in abort () at abort.c:88
#2  0x008bfded in __libc_message (do_abort=2, fmt=0x99dba8 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x008c6245 in malloc_printerr (action=2, str=0x99dc80 "double free or corruption (out)", ptr=0xa2bcdc8) at malloc.c:5994
#4  0x008c8296 in __libc_free (mem=0xa2bcdc8) at malloc.c:3625
#5  0x059a7b37 in PR_Free () from /lib/libnspr4.so
#6  0x05b2f2bd in PORT_ZFree_Util () from /lib/libnssutil3.so
#7  0x05b540b0 in ?? () from /lib/libssl3.so
#8  0x05b59b93 in ?? () from /lib/libssl3.so
#9  0x05b5bef3 in ?? () from /lib/libssl3.so
#10 0x05b51fd4 in ?? () from /lib/libssl3.so
#11 0x05b55e60 in ?? () from /lib/libssl3.so
#12 0x05b5a867 in ?? () from /lib/libssl3.so
#13 0x059a0201 in PR_Close () from /lib/libnspr4.so
#14 0x007ef709 in Curl_nss_close () from /usr/lib/libcurl.so.4
#15 0x007e7ae4 in Curl_ssl_close () from /usr/lib/libcurl.so.4
#16 0x007cf506 in Curl_disconnect () from /usr/lib/libcurl.so.4
#17 0x007cf7b8 in Curl_done () from /usr/lib/libcurl.so.4
#18 0x007e14ef in ?? () from /usr/lib/libcurl.so.4
#19 0x007e2099 in curl_multi_perform () from /usr/lib/libcurl.so.4
#20 0x025547c2 in WebCore::ResourceHandleManager::downloadTimerCallback (this=0xb7f0cdc0, timer=0xb7f0cdc0)
    at WebCore/platform/network/curl/ResourceHandleManager.cpp:289
#21 0x02554d61 in WebCore::Timer<WebCore::ResourceHandleManager>::fired (this=0xb7f0cdc0) at WebCore/platform/Timer.h:98
#22 0x02438722 in WebCore::TimerBase::fireTimers (fireTime=1234281443.859498, firingTimers=@0xbffff214)
    at WebCore/platform/Timer.cpp:348
#23 0x024387f7 in WebCore::TimerBase::sharedTimerFired () at WebCore/platform/Timer.cpp:369
#24 0x026d5a0e in timeout_cb () at WebCore/platform/gtk/SharedTimerGtk.cpp:48
#25 0x00a898c1 in g_idle_dispatch (source=0xa1c5230, callback=0, user_data=0x0) at gmain.c:3922
#26 0x00a8b7f8 in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#27 IA__g_main_context_dispatch (context=0x80d3e88) at gmain.c:2367
#28 0x00a8eea3 in g_main_context_iterate (context=0x80d3e88, block=1, dispatch=1, self=0x80b5500) at gmain.c:2448
#29 0x00a8f3c2 in IA__g_main_loop_run (loop=0x8176150) at gmain.c:2656
#30 0x07149a59 in IA__gtk_main () at gtkmain.c:1205
#31 0x08067a42 in main (argc=1, argv=0xbffff5b4) at ../midori/main.c:2213
Comment 2 Bug Zapper 2009-06-09 07:13:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:55:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:14:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.